<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetUserDataEx Method (IEdmUser10)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUser10 Interface : GetUserDataEx Method (IEdmUser10)

Visual Basic
C#
C++/CLI

poUserData
  EdmUserDataEx (see Remarks)

Gets information about this user.

# Syntax

Visual Basic |
--- | ---

    Sub GetUserDataEx( _
       ByRef poUserData As EdmUserDataEx _
    )

C# |
--- | ---

    void GetUserDataEx(
       out EdmUserDataEx poUserData
    )

C++/CLI |
--- | ---

    void GetUserDataEx(
    &   [Out] EdmUserDataEx poUserData
    )

#### Parameters

poUserData
  EdmUserDataEx (see Remarks)

# Example

See the IEdmUser10 examples.

# Remarks

The properties and picture associated with this user can be returned. EdmUserDataEx::mlEdmUserDataExFlags indicates which properties to return.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUser10 Interface
IEdmUser10 Members
IEdmuser10::SetUserDataEx Method ()

# Availability

SOLIDWORKS PDM Professional 2013